summaryrefslogtreecommitdiff
path: root/dmake/tests
diff options
context:
space:
mode:
authorIvo Hinkelmann <ihi@openoffice.org>2006-06-29 10:27:53 +0000
committerIvo Hinkelmann <ihi@openoffice.org>2006-06-29 10:27:53 +0000
commit9e35c2ab8f66cbfe19d371f9bb83df933798d1ac (patch)
tree53fb7d79a52d0faecffc56f1fbf78181617cdd6d /dmake/tests
parent10e9b055f3d197d4ff4b072a8a65caf79383c864 (diff)
INTEGRATION: CWS dmake45 (1.1.2); FILE ADDED
2006/06/22 20:14:23 vq 1.1.2.1: #i66659# Fix evaluation of line continuations in conditional expressions and add testcase.
Diffstat (limited to 'dmake/tests')
-rwxr-xr-xdmake/tests/misc-1240
1 files changed, 40 insertions, 0 deletions
diff --git a/dmake/tests/misc-12 b/dmake/tests/misc-12
new file mode 100755
index 000000000000..f8e4f7a1dcdb
--- /dev/null
+++ b/dmake/tests/misc-12
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+# 22.06.2006 Volker Quetschke
+# Conditional expressions failed before with line continuations.
+# (issue 66659)
+
+: ${DMAKEPROG:=dmake}
+file1="mfile1.mk"
+tmpfiles="$file1"
+
+trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }' 1 2 3 15
+
+# Remove files from prior failed run
+rm -rf $tmpfiles
+
+# Remember to quote variables in generated makefiles ( $ -> \$ ).
+# Also quote line continuations ( \<nl> -> \\<nl> ).
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+
+all:
+.IF "a" == "a" && \\
+ "b" == "b"
+ @+echo OK
+.ELSE
+ @+echo WRONG
+.ENDIF
+EOT
+
+output=`eval ${DMAKEPROG} -r -f $file1`
+result=$?
+
+if test "$output" != "OK"; then
+ result=1
+fi
+
+test $result -eq 0 && echo "Success - Cleaning up" && rm -f ${tmpfiles}
+test $result -ne 0 && echo "Failure!"
+exit $result